Skip to main content
`Ctrl`+`K`

# MatHtoolCompressorType

Indicates the type of compressor used by a `MATHTOOL`

## Synopsis

    typedef enum {
      MAT_HTOOL_COMPRESSOR_SYMPARTIAL_ACA,
      MAT_HTOOL_COMPRESSOR_FULL_ACA,
      MAT_HTOOL_COMPRESSOR_SVD
    } MatHtoolCompressorType;

## Values

- `MAT_HTOOL_COMPRESSOR_SYMPARTIAL_ACA` (default) - symmetric partial adaptive cross approximation

- `MAT_HTOOL_COMPRESSOR_FULL_ACA` - full adaptive cross approximation

- `MAT_HTOOL_COMPRESSOR_SVD` - singular value decomposition

## See Also

Matrices, `Mat`, `MatCreateHtoolFromKernel()`, `MATHTOOL`, `MatHtoolClusteringType`

## Level

intermediate

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages